com.trendmicro.ds.platform.rest.object.managernodes

## Class ManagerNode

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.managernodes.ManagerNode

-     public class ManagerNode
      extends java.lang.Object

  Manager node details.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ManagerNode.Jobs` Manager node job assignments.
    `static class` | `ManagerNode.Location` Addressing information for a manager node.
    `static class` | `ManagerNode.Status` Manager node operational status information.
    `static class` | `ManagerNode.SystemInformation` Manager node system information.
    `static class` | `ManagerNode.Timestamps` Manager node lifecycle timestamps.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagerNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getDefault()` Get the flag indicating whether this manager node should be treated as the default manager node for contact.
    `java.lang.String` | `getDescription()` Get the manager node description.
    `java.lang.String` | `getGUID()` Get the manager node GUID.
    `java.lang.Integer` | `getID()` Get the manager node ID.
    `ManagerNode.Jobs` | `getJobs()` Get the manager node job assignment information.
    `ManagerNode.Location` | `getLocation()` Get the manager node location information.
    `java.lang.String` | `getName()` Get the manager node name.
    `java.lang.String` | `getOnlineHelpVersion()` Get the version of Deep Security Manager online help available on the manager node.
    `java.lang.Integer` | `getPerformanceProfileID()` Get the manager node's performance profile ID.
    `java.lang.String` | `getSSLThumbprint()` Get the manager node SSL thumbprint.
    `ManagerNode.Status` | `getStatus()` Get the manager node status information.
    `ManagerNode.SystemInformation` | `getSystemInformation()` Get the manager node system information.
    `ManagerNode.Timestamps` | `getTimestamps()` Get the manager node lifecycle timestamps information.
    `java.lang.String` | `getVersion()` Get the version of Deep Security Manager software running on the manager node.
    `void` | `setDefault(java.lang.Boolean isDefault)` Set the flag indicating whether this manager node should be treated as the default manager node for contact.
    `void` | `setDescription(java.lang.String description)` Set the manager node description.
    `void` | `setGUID(java.lang.String guid)` Set the manager node GUID.
    `void` | `setID(java.lang.Integer id)` Set the manager node ID.
    `void` | `setJobs(ManagerNode.Jobs jobs)` Set the manager node job assignment information.
    `void` | `setLocation(ManagerNode.Location location)` Set the manager node location information.
    `void` | `setName(java.lang.String name)` Set the manager node name.
    `void` | `setOnlineHelpVersion(java.lang.String onlineHelpVersion)` Set the version of Deep Security Manager online help available on the manager node.
    `void` | `setPerformanceProfileID(java.lang.Integer performanceProfileID)` Set the manager node's performance profile ID.
    `void` | `setSSLThumbprint(java.lang.String sslThumbprint)` Set the manager node SSL thumbprint.
    `void` | `setStatus(ManagerNode.Status status)` Set the manager node status information.
    `void` | `setSystemInformation(ManagerNode.SystemInformation systemInformation)` Set the manager node system information.
    `void` | `setTimestamps(ManagerNode.Timestamps timestamps)` Set the manager node lifecycle timestamps information.
    `void` | `setVersion(java.lang.String version)` Set the version of Deep Security Manager software running on the manager node.
    `ManagerNode` | `withDefault(java.lang.Boolean isDefault)` Set the flag indicating whether this manager node should be treated as the default manager node for contact.
    `ManagerNode` | `withDescription(java.lang.String description)` Set the manager node description.
    `ManagerNode` | `withGUID(java.lang.String guid)` Set the manager node GUID.
    `ManagerNode` | `withID(java.lang.Integer id)` Set the manager node ID.
    `ManagerNode` | `withJobs(ManagerNode.Jobs jobs)` Set the manager node job assignment information.
    `ManagerNode` | `withLocation(ManagerNode.Location location)` Set the manager node location information.
    `ManagerNode` | `withName(java.lang.String name)` Set the manager node name.
    `ManagerNode` | `withOnlineHelpVersion(java.lang.String onlineHelpVersion)` Set the version of Deep Security Manager online help available on the manager node.
    `ManagerNode` | `withPerformanceProfileID(java.lang.Integer performanceProfileID)` Set the manager node's performance profile ID.
    `ManagerNode` | `withSSLThumbprint(java.lang.String sslThumbprint)` Set the manager node SSL thumbprint.
    `ManagerNode` | `withStatus(ManagerNode.Status status)` Set the manager node status information.
    `ManagerNode` | `withSystemInformation(ManagerNode.SystemInformation systemInformation)` Set the manager node system information.
    `ManagerNode` | `withTimestamps(ManagerNode.Timestamps timestamps)` Set the manager node lifecycle timestamps information.
    `ManagerNode` | `withVersion(java.lang.String version)` Set the version of Deep Security Manager software running on the manager node.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagerNode

          public ManagerNode()

  - ### Method Detail

    - #### getID

          public java.lang.Integer getID()

      Get the manager node ID.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the manager node ID.

    - #### setID

          public void setID(java.lang.Integer id)

      Set the manager node ID.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `id` - the manager node ID.

    - #### withID

          public ManagerNode withID(java.lang.Integer id)

      Set the manager node ID.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `id` - the manager node ID.
      Returns:
        the updated ManagerNode object.

    - #### getName

          public java.lang.String getName()

      Get the manager node name.
      Returns:
        the manager node name.

    - #### setName

          public void setName(java.lang.String name)

      Set the manager node name.
      Parameters:
        `name` - the manager node name.

    - #### withName

          public ManagerNode withName(java.lang.String name)

      Set the manager node name.
      Parameters:
        `name` - the manager node name.
      Returns:
        the updated ManagerNode object.

    - #### getDescription

          public java.lang.String getDescription()

      Get the manager node description.
      Returns:
        the manager node description.

    - #### setDescription

          public void setDescription(java.lang.String description)

      Set the manager node description.
      Parameters:
        `description` - the manager node description.

    - #### withDescription

          public ManagerNode withDescription(java.lang.String description)

      Set the manager node description.
      Parameters:
        `description` - the manager node description.
      Returns:
        the updated ManagerNode object.

    - #### getGUID

          public java.lang.String getGUID()

      Get the manager node GUID.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the manager node GUID.

    - #### setGUID

          public void setGUID(java.lang.String guid)

      Set the manager node GUID.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `id` - the manager node GUID.

    - #### withGUID

          public ManagerNode withGUID(java.lang.String guid)

      Set the manager node GUID.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `id` - the manager node GUID.
      Returns:
        the updated ManagerNode object.

    - #### getSSLThumbprint

          public java.lang.String getSSLThumbprint()

      Get the manager node SSL thumbprint.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the manager node SSL thumbprint.

    - #### setSSLThumbprint

          public void setSSLThumbprint(java.lang.String sslThumbprint)

      Set the manager node SSL thumbprint.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `id` - the manager node SSL thumbprint.

    - #### withSSLThumbprint

          public ManagerNode withSSLThumbprint(java.lang.String sslThumbprint)

      Set the manager node SSL thumbprint.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `id` - the manager node SSL thumbprint.
      Returns:
        the updated ManagerNode object.

    - #### getDefault

          public java.lang.Boolean getDefault()

      Get the flag indicating whether this manager node should be treated as the default manager node for contact.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the flag indicating whether this manager node should be treated as the default manager node for contact.

    - #### setDefault

          public void setDefault(java.lang.Boolean isDefault)

      Set the flag indicating whether this manager node should be treated as the default manager node for contact.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `isDefault` - the flag indicating whether this manager node should be treated as the default manager node for contact.

    - #### withDefault

          public ManagerNode withDefault(java.lang.Boolean isDefault)

      Set the flag indicating whether this manager node should be treated as the default manager node for contact.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `isDefault` - the flag indicating whether this manager node should be treated as the default manager node for contact.
      Returns:
        the updated ManagerNode object.

    - #### getLocation

          public ManagerNode.Location getLocation()

      Get the manager node location information.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the manager node location information.

    - #### setLocation

          public void setLocation(ManagerNode.Location location)

      Set the manager node location information.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `location` - the manager node location information.

    - #### withLocation

          public ManagerNode withLocation(ManagerNode.Location location)

      Set the manager node location information.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `location` - the manager node location information.
      Returns:
        the updated ManagerNode object.

    - #### getJobs

          public ManagerNode.Jobs getJobs()

      Get the manager node job assignment information.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the manager node job assignment information.

    - #### setJobs

          public void setJobs(ManagerNode.Jobs jobs)

      Set the manager node job assignment information.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `jobs` - the manager node job assignment information.

    - #### withJobs

          public ManagerNode withJobs(ManagerNode.Jobs jobs)

      Set the manager node job assignment information.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `jobs` - the manager node job assignment information.
      Returns:
        the updated ManagerNode object.

    - #### getSystemInformation

          public ManagerNode.SystemInformation getSystemInformation()

      Get the manager node system information.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the manager node system information.

    - #### setSystemInformation

          public void setSystemInformation(ManagerNode.SystemInformation systemInformation)

      Set the manager node system information.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `systemInformation` - the manager node system information.

    - #### withSystemInformation

          public ManagerNode withSystemInformation(ManagerNode.SystemInformation systemInformation)

      Set the manager node system information.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `systemInformation` - the manager node system information.
      Returns:
        the updated ManagerNode object.

    - #### getTimestamps

          public ManagerNode.Timestamps getTimestamps()

      Get the manager node lifecycle timestamps information.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the manager node lifecycle timestamps information.

    - #### setTimestamps

          public void setTimestamps(ManagerNode.Timestamps timestamps)

      Set the manager node lifecycle timestamps information.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `timestamps` - the manager node lifecycle timestamps information.

    - #### withTimestamps

          public ManagerNode withTimestamps(ManagerNode.Timestamps timestamps)

      Set the manager node lifecycle timestamps information.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `timestamps` - the manager node lifecycle timestamps information.
      Returns:
        the updated ManagerNode object.

    - #### getStatus

          public ManagerNode.Status getStatus()

      Get the manager node status information.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the manager node status information.

    - #### setStatus

          public void setStatus(ManagerNode.Status status)

      Set the manager node status information.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `status` - the manager node status information.

    - #### withStatus

          public ManagerNode withStatus(ManagerNode.Status status)

      Set the manager node status information.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `status` - the manager node status information.
      Returns:
        the updated ManagerNode object.

    - #### getPerformanceProfileID

          public java.lang.Integer getPerformanceProfileID()

      Get the manager node's performance profile ID.
      Returns:
        the manager node's performance profile ID.

    - #### setPerformanceProfileID

          public void setPerformanceProfileID(java.lang.Integer performanceProfileID)

      Set the manager node's performance profile ID.
      Parameters:
        `performanceProfileID` - the manager node's performance profile ID.

    - #### withPerformanceProfileID

          public ManagerNode withPerformanceProfileID(java.lang.Integer performanceProfileID)

      Set the manager node's performance profile ID.
      Parameters:
        `performanceProfileID` - the manager node's performance profile ID.
      Returns:
        the updated ManagerNode object.

    - #### getVersion

          public java.lang.String getVersion()

      Get the version of Deep Security Manager software running on the manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the version of Deep Security Manager software running on the manager node.

    - #### setVersion

          public void setVersion(java.lang.String version)

      Set the version of Deep Security Manager software running on the manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `version` - the version of Deep Security Manager software running on the manager node.

    - #### withVersion

          public ManagerNode withVersion(java.lang.String version)

      Set the version of Deep Security Manager software running on the manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `version` - the version of Deep Security Manager software running on the manager node.
      Returns:
        the updated ManagerNode object.

    - #### getOnlineHelpVersion

          public java.lang.String getOnlineHelpVersion()

      Get the version of Deep Security Manager online help available on the manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the version of Deep Security Manager online help available on the manager node.

    - #### setOnlineHelpVersion

          public void setOnlineHelpVersion(java.lang.String onlineHelpVersion)

      Set the version of Deep Security Manager online help available on the manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `onlineHelpVersion` - the version of Deep Security Manager online help available on the manager node.

    - #### withOnlineHelpVersion

          public ManagerNode withOnlineHelpVersion(java.lang.String onlineHelpVersion)

      Set the version of Deep Security Manager online help available on the manager node.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `onlineHelpVersion` - the version of Deep Security Manager online help available on the manager node.
      Returns:
        the updated ManagerNode object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.